GLOBUS-GRAM-AUDIT(8)

NAME
globus-gram-audit - Load GRAM5 audit records into a database

SYNOPSIS

globus-gram-audit [ --conf CONFIG-FILE ] [ --create | --update=OLD-VERSION ] [ --check ] [ --delete ] [ --audit-directory=AUDITDIR ] [ --quiet ]

DESCRIPTION

The globus-gram-audit program loads audit records to an SQL-based database. It reads /etc/globus-job-manager.conf by default to determine the audit directory and then uploads all files in that directory that contain valid audit records to the database configured by the globus_gram_job_manager_auditing_setup_scripts package. If the upload completes successfully, the audit files will be removed.

The full set of command-line options to globus-gram-audit consist of:

--conf CONFIG-FILE
    Use CONFIG-FILE instead of the default from the configuration file for audit database configuration.

--check
    Check whether the insertion of a record was successful by querying the database after inserting the records. This is used in tests.

--delete
    Delete audit records from the database right after inserting them. This is used in tests to avoid filling the database with test records.

--audit-directory AUDITDIR
    Look for audit records in AUDITDIR, instead of looking in the directory specified in the job manager configuration. This is used in tests to control which records are loaded to the database and then deleted.

--query SQL
    Perform the given SQL query on the audit database. This uses the database information from the configuration file to determine how to contact the database.

--quiet
    Reduce the amount of output for common operations.

FILES

The globus-gram-audit uses the following files:

/etc/globus-gram-job-manager.conf
    GRAM5 job manager configuration. It includes the default path to the audit directory

/etc/globus-gram-audit.conf
    Audit configuration. It includes the information needed to contact the audit database.

AUTHOR

Copyright © 1999-2016 University of Chicago